=== 6.7.0 (2013-12-08)

* Disable symlink/hardlink deletion option when not relevant. (#247)
* Make Cmd+A select all folders in the Folder Selection dialog. [Mac] (#228)
* Make non-numeric delta comparison case insensitive. (#239)
* Fix surrogate-related UnicodeEncodeError on CSV export. (#210)
* Fixed crash on Dupe Count sorting with Delta + Dupes Only. (#238)
* Improved documentation.
* Important internal refactorings.
* Dropped Ubuntu 12.04 and 12.10 support.
* Removed the fairware dialog ([More Info](http://www.hardcoded.net/articles/phasing-out-fairware)).

=== 6.6.0 (2013-08-18)

* Improved delta values to support non-numerical values. (#213)
* Improved the Re-Prioritize dialog's UI. (#224)
* Added hardlink/symlink support on Windows Vista+. (#220)
* Dropped 32bit support on Mac OS X.
* Added Vietnamese localization by Phan Anh.

=== 6.5.1 (2013-05-18)

* Improved "Make Selection Reference" to make it clearer. (#222)
* Improved "Open Selected" to allow opening more than one file at once. (#142)
* Fixed a few typos here and there. (#216 #225)
* Tweaked the fairware dialog ([More Info](http://www.hardcoded.net/articles/phasing-out-fairware)).
* Added Arch Linux packaging
* Added a 64-bit build for Windows.
* Improved Brazilian localization by Victor Figueiredo.

=== 6.5.0 (2012-08-10)

* Added "Export to CSV". (#189)
* Added "Replace with symlinks" to complement "Replace with hardlinks". [Mac, Linux] (#194)
* dupeGuru now tells how many duplicates were affected after each re-prioritization operation. (#204)
* Added Longest/Shortest filename criteria in the re-prioritize dialog. (#198)
* Fixed result table cells which mistakenly became writable in v6.4.0. [Mac] (#203)
* Fixed "Rename Selected" which was broken since v6.4.0. [Mac] (#202)
* Fixed a bug where "Reset to Defaults" in the Columns menu wouldn't refresh menu items' marked state.
* Improved OGG metadata reading.
* Improved Russian localization by Kyrill Detinov.

=== 6.4.2 (2012-07-07)

* Fixed iTunes integration which was broken since iTunes 10.6.3. [Mac]
* Fixed a crash caused by invalid XML in iTunes libraries. [Mac]
* Added Brazilian localization by Victor Figueiredo.

=== 6.4.1 (2012-06-04)

* Fixed bug introduced in 6.4.0 preventing deletions from working. [Mac]

=== 6.4.0 (2012-06-02)

* Added a Deletion Options panel.
* Greatly improved memory usage for big scans.
* Added a keybinding for the filter field. (#182) [Mac]
* Upgraded minimum requirements for Ubuntu to 12.04.

=== 6.3.1 (2012-04-15)

* Fixed crash on iTunes library parsing. [Mac]
* Fixed localization issues. [Windows, Linux]

=== 6.3.0 (2012-03-27)

* Improved iTunes support. [Mac]
* Improved results window UI. [Windows, Linux]
* Improved error messages when communicating with iTunes. (#188) [Mac]
* Added a dialog to edit the Ignore List.
* Added the ability to sort results by "marked" status.
* Fixed "Open with default application". (#190)
* Fixed a bug where there would be a false reporting of discarded matches. (#195)
* Fixed various localization glitches.
* Fixed hard crashes on crash reporting. (#196)
* Fixed bug where the details panel would show up at inconvenient places in the screen. [Windows, Linux]

=== 6.2.1 (2012-01-20)

* Fixed random hard crashes (yeah, again). [Mac OS X]
* Fixed crash on Export to HTML. [Windows, Linux]
* Added Armenian localization by Hrant Ohanyan.
* Added Russian localization by Igor Pavlov.
* Added Ukrainian localization by Yuri Petrashko.

=== 6.2.0 (2011-12-07)

* Added multiple-selection in folder selection dialog for a more efficient folder removal. (#179)
* Fixed a crash in the prioritize dialog. (#178)
* Fixed a bug where mass marking with a filter would mark more than filtered duplicates. (#181)
* Fixed random hard crashes. [Mac OS X] (#183 #184)
* Added Czech localization by Aleš Nehyba.
* Added Italian localization by Paolo Rossi.

=== 6.1.1 (2011-10-03)

* Fixed a couple of broken action bindings from v6.1.0.

=== 6.1.0 (2011-09-29)

* Added duplicate re-prioritization dialog. (#138)
* Added font size preference for duplicate table. (#82)
* Added Quicklook support. [Mac OS X] (#21)
* Improved behavior of Mark Selected. (#139)
* Improved filename sorting. (#169)
* Fixed bug preventing some OGG metadata from being read. (#176)
* Added Chinese (Simplified) localization by Eric Dee.
* Tweaked the fairware system.
* Upgraded minimum requirements to OS X 10.6 and Ubuntu 11.04.

=== 6.0.2 (2011-08-26)

* Added German localization by Gregor Tätzner.
* Improved OS X Lion compatibility. [Mac OS X]
* Made the file collection phase cancellable. (#168)
* Fixed glitch in folder window upon selecting a folder state. [Windows, Linux] (#165)
* Fixed a text coloring glitch in the results. (#156)
* Fixed glitch in the sorting feature of the Folder column. (#161)
* Make sure that saved results have the ".dupeguru" extension. [Linux] (#157)

=== 6.0.1 (2011-03-18)

* Fixed crash after removing marked dupes. (#140)
* Fixed crash on error handling. [Windows] (#144)
* Fixed crash on copy/move. [Windows] (#148)
* Fixed crash when launching dupeGuru from a very long folder name. [Mac OS X] (#119)
* Fixed a refresh bug in directory panel. (#153)
* Improved reliability of the "Send to Trash" operation. [Linux]
* Tweaked Fairware reminders.

=== 6.0.0 (2011-02-01)

* Re-designed the UI. (#129)
* Internationalized dupeGuru and localized it to french. (#32)
* Changed the format of the help file. (#130)
* Fixed crashes when reading malformed songs. (#127 #131)
* Removed focus from the cancel button in the progress dialog to avoid accidental cancellations. [Mac OS X] (#135)
* Folders added through drag and drop are added to the recent folders list. (#136)
* Added a debugging mode. (#132)

=== 5.10.4 (2010-12-30)

* Fixed bug causing results to be corrupted after a scan cancellation. (#120)
* Fixed crash when fetching Fairware unpaid hours. (#121)
* Fixed crash when replacing files with hardlinks. (#122)
* Fixed crash when reading malformed aiff files. (#123)

=== 5.10.3 (2010-11-21)

* Fixed crash when reading malformed mp4 files. (#117 #118)

=== 5.10.2 (2010-10-06)

* Fixed delta column colors which were broken since 5.10.0.
* Fixed column sorting crash. (#108)
* Fixed occasional crash during scan. (#106)

=== 5.10.1 (2010-09-30)

* Re-licensed dupeGuru to BSD and made it [Fairware](http://open.hardcoded.net/about/).

=== 5.10.0 (2010-09-27)

* Improved UI with a little revamp.
* Added the possibility to place hardlinks to references after having deleted duplicates. [Mac OS X, Linux] (#91)
* Added an option to ignore duplicates hardlinking to the same file. [Mac OS X, Linux] (#92)
* Added multiple selection in the "Add Directory" dialog. [Mac OS X] (#105)
* Fixed a bug preventing drag & drop from working in the Directories panel. [Windows, Linux]
* Fixed a crash on some badly formed Id3v2 tags. (#107)

=== 5.9.1 (2010-08-24)

* Fixed HTML exporting which was broken in 5.9.0.
* Fixed Xing-encoded mpeg decoding which was broken in 5.9.0.

=== 5.9.0 (2010-08-20)

* Added the ability to save results (and reload them) at arbitrary locations.
* Improved the way reference files in dupe groups are chosen. (#15)
* Remember size/position of all windows between launches. (#102)
* Fixed a bug sometimes preventing dupeGuru from reloading previous results.
* Fixed a bug sometimes causing the progress dialog to be stuck there. [Mac OS X] (#103)
* Removed the Creation Date column, which wasn't displaying the correct value anyway. (#101)

=== 5.8.1 (2010-07-16)

* Fixed a couple of crashes. (#95, #97, #100)

=== 5.8.0 (2010-04-14)

* Improved error messages when files can't be sent to trash, moved or copied.
* Added a custom command invocation action. (#12)
* Filters are now applied on whole paths. (#4)

=== 5.7.2 (2010-02-13)

* Fixed a crash upon quitting when support folder is not present. (#83)
* Fixed a crash during sorting. (#85)
* Fixed selection glitches, especially while renaming. (#93)

=== 5.7.1 (2010-01-19)

* The Mac OS X version of dupeGuru ME is now 64-bit!
* Improved memory usage for Contents scans. (#75)
* Improved scanning speed when ref directories are involved. (#77)
* Show a message dialog at the end of the scan if no duplicates are found. (#81)
* Re-added the "Remove Dead Tracks in iTunes" menu item which got lost in 5.7.0.

=== 5.7.0 (2009-12-18)

* Added drag & drop support in the Directories panel. (#9)
* Fixed a bug causing dupeGuru to be confused if a scanned file was moved during the scan. (#72)
* Clarified how directories' state are set by painting a combo box in the state cells. [Windows] (#76)
* Fixed some crashes. (#78 and #79)
* Dropped Mac OS X Tiger support.

=== 5.6.6 (2009-10-14)

* Improved directory selection in the Directories panel (Windows). (#56)
* Fixed a bug preventing dupeGuru from starting on certain machines (Windows). (#68)
* Fixed a crash during very big scans. (#70)

=== 5.6.5 (2009-10-04)

* Fixed crash with filtering when regular expressions were enabled. (#60)
* Fixed crash when setting directories' state. (Mac OS X) (#66)
* Fixed crash with Make Reference when certain filters were applied. (Mac OS X) (#55)
* Improved error handling during delete/move/copy actions. (#62 #65)

=== 5.6.4 (2009-09-07)

* Re-introduced the Export to XHTML feature to Windows.
* Improved Export to XHTML speed.
* Improved the grouping algorithm to reduce the number of discarded files in non-exact scans.
* Stopped showing the same file on the 2 sides of the details panel when a ref file is selected.
* Fixed crashes in the Directories panel.

=== 5.6.3 (2009-06-19)

* Fixed bugs with selection being jumpy during "Make Reference" actions and Power Marker switches.
* Fixed crash happening when a file with non-roman characters couldn't be analyzed.
* Fixed crash sometimes happening during the file collection phase in scanning.
* Restored double-click and right-click behavior lost in the PyQt move (Windows).

=== 5.6.2 (2009-06-10)

* Fixed an occasional crash on Copy/Move operations.
* Fixed bugs with iTunes integration.

=== 5.6.1 (2009-05-30)

* Fixed a bug causing a GUI freeze at the beginning of a scan with a lot of files.
* Fixed a bug that sometimes caused a crash when an action was cancelled, and then started again.

=== 5.6.0 (2009-05-23)

* Converted the Windows GUI to Qt.
* Improved the reliability of the scanning process.

=== 5.5.2 (2009-03-28)

* **Fixed** an occasional crash caused by permission issues.
* **Fixed** a bug where the "X discarded" notice would show a too large number of discarded duplicates.

=== 5.5.1 (2008-09-28)

* **Improved** support for AIFF files.
* **Improved** Remove Dead Tracks in iTunes for very large library (Mac OS X).

=== 5.5.0 (2008-09-10)

* **Added** support for AIFF files.
* **Added** a notice in the status bar when matches were discarded during the scan.
* **Improved** duplicate prioritization (smartly chooses which file you will keep).
* **Improved** scan progress feedback.
* **Improved** responsiveness of the user interface for certain actions.

=== 5.4.3 (2008-08-07)

* **Improved** the "Remove Dead Tracks in iTunes" feature.
* **Improved** the speed of results loading and saving.
* **Fixed** a crash sometimes occurring during duplicate deletion.

=== 5.4.2 (2008-06-20)

* **Improved** unicode handling for filenames and tags. dupeGuru ME will now find a lot more duplicates if your files have non-ascii characters in it.
* **Improved** MPEG files duration detection.
* **Fixed** "Clear Ignore List" crash in Windows.

=== 5.4.1 (2008-01-15)

* **Improved** scan, delete and move speed in situations where there were a lot of duplicates.
* **Fixed** occasional crashes when moving a lot of files at once.

=== 5.4.0 (2007-12-06)

* **Added** customizable tag scans.
* **Improved** the handling of low memory situations.
* **Improved** the directory panel. The "Remove" button changes to "Put Back" when an excluded directory is selected.

=== 5.3.2 (2007-11-26)

* **Added** the "Remove empty folders" option.
* **Fixed** results load/save issues.
* **Fixed** occasional status bar inaccuracies when the results are filtered.

=== 5.3.1 (2007-08-12)

* **Fixed** a crash with copy and move.

=== 5.3.0 (2007-07-01)

* **Added** post scan filtering.
* **Fixed** a small issue with AAC decoding.
* **Fixed** issues with the rename feature under Windows.
* **Fixed** some user interface annoyances under Windows.

=== 5.2.7 (2007-03-31)

* **Fixed** a crash sometimes happening while loading results.

=== 5.2.6 (2007-03-25)

* **Improved** UI responsiveness (using threads) under Mac OS X.
* **Improved** result load/save speed and memory usage.
* **Fixed** a "bad file descriptor" error occasionally popping up.
* **Fixed** a bug with non-latin directory names.
* **Fixed** a column mixup under Windows. The Artist column couldn't be shown.
* **Fixed** a bug causing the sorting under Power Marker mode not to work under Mac OS X.

=== 5.2.5 (2007-02-14)

* **Added** Re-orderable columns. In fact, I re-added the feature which was lost in the C# conversion in 5.2.0 (Windows).
* **Changed** the behavior of the scanning engine when setting the hardness to 100. It will now only match files that have their words in the same order.
* **Fixed** a bug with all the Delete/Move/Copy actions with certain kinds of files.

=== 5.2.4 (2007-01-10)

* **Fixed** a bug with the Move action.
* **Fixed** a "ghosting" bug. Dupes deleted by dupeGuru would sometimes come back in subsequent scans (Windows).
* **Fixed** a bug introduced in the last version that caused the status bar not to update when dupes were marked (Windows).

=== 5.2.3 (2007-01-04)

* **Fixed** bugs sometimes making dupeGuru crash when marking a dupe (Windows).
* **Fixed** some minor visual glitches (Windows).

=== 5.2.2 (2006-12-21)

* **Improved** Id3v2.4 tags decoding to support some malformed tags that iTunes sometimes produce.
* **Improved** the rename file dialog to exclude the extension from the original selection (so when you start typing your new filename, it doesn't overwrite it) (Windows).
* **Changed** some menu key shortcuts that created conflicts (Windows).
* **Fixed** a bug preventing files from "reference" directories to be displayed in blue in the results (Windows).
* **Fixed** a bug preventing some files to be sent to the recycle bin (Windows).
* **Fixed** a bug with the "Remove" button of the directories panel (Windows).
* **Fixed** a bug in the packaging preventing certain Windows configurations to start dupeGuru at all.

=== 5.2.1 (2006-11-18)

* **Fixed** a bug with directory states.

=== 5.2.0 (2006-11-17)

* **Changed** the Windows interface. It is now .NET based.
* **Added** an auto-update feature to the windows version.
* **Changed** the way power marking works. It is now a mode instead of a separate window.
* **Removed** the min word length/count options. These came from Mp3 Filter, and just aren't used anymore. Word weighting does pretty much the same job.
* **Fixed** a bug sometimes making delete and move operations stall.

=== 5.1.2 (2006-11-03)

* **Added** an auto-update feature in the Mac OS X version (with Sparkle).
* **Added** a "Remove Dead Tracks in iTunes" feature in the Mac OS X version.
* **Improved** speed and memory usage of the scanning engine, especially when the scan results in a lot of duplicates.
* **Improved** VBR mp3 support.
* **Fixed** a bug preventing some duplicate reports to be created correctly under Windows.

=== 5.1.1 (2006-09-29)

* **Fixed** a bug (no, not the same as in 5.1.0) preventing some duplicates to be found, especially in huge collections.

=== 5.1.0 (2006-09-26)

* **Added** XHTML export feature.
* **Fixed** a bug preventing some duplicates to be found when using the "Filename - Fields (No Order)" scan method.

=== 5.0.11 (2006-08-30)

* **Added** sticky columns.
* **Fixed** an issue with file caching between scans.
* **Fixed** an issue preventing some duplicates from being deleted/moved/copied.

=== 5.0.10 (2006-08-27)

* **Fixed** an issue with ignore list and unicode.
* **Fixed** an issue with file attribute fetching sometimes causing dupeGuru ME to crash.
* **Fixed** an issue in the directories panel under Windows.

=== 5.0.9 (2006-08-17)

* **Fixed** an issue in the duplicate seeking engine preventing some duplicates to be found.
* (Yeah, I'm in a bug fixing frenzy right now :) )

=== 5.0.8 (2006-08-16)

* **Fixed** an issue with the new track column occasionally causing crash.
* **Fixed** an issue with the handling of corrupted files that occasionally caused crash.

=== 5.0.7 (2006-08-12)

* **Improved** unicode support.
* **Improved** the "Reveal in Finder" ("Open Containing Folder" in Windows) feature so it selects the file in the folder it opens.

=== 5.0.6 (2006-08-08)

* **Added** the the Track Number detail column.
* **Improved** the ignore list system.
* **Fixed** a bug in the mp3 metadata decoding unit.
* dupeGuru Music Edition is now a Universal application on Mac OS X.

=== 5.0.5 (2006-07-28)

* **Improved** VBR mp3 metadata decoding.
* **Fixed** an issue that occasionally made dupeGuru ME crash on startup.

=== 5.0.4 (2006-06-26)

* **Fixed** an issue with Move and Copy features.

=== 5.0.3 (2006-06-17)

* **Improved** duplicate scanning speed.
* **Added** a warning that a file couldn't be renamed if a file with the same name already exists.

=== 5.0.2 (2006-06-06)

* **Added** "Rename Selected" feature.
* **Improved** MP3 metadata decoding.
* **Fixed** some minor issues with "Reload Last Results" feature.
* **Fixed** ignore list issues.

=== 5.0.1 (2006-05-26)

* **Fixed** occasional progress bar woes under Windows.
* Nothing has been changed in the Mac OS X version, but I want to keep version in sync.

=== 5.0.0 (2006-05-19)

* Complete rewrite
* Changed "Mp3 Filter" name to "dupeGuru Music Edition"
* Now runs on Mac OS X.

=== 4.2.6 (2006-04-13)

* **Fixed** a critical bug introduced in 4.2.5: Files couldn't be deleted anymore!
* **Fixed** some more issues with WMA decoding.
* **Fixed** an issue with profile wizard.

=== 4.2.5 (2006-04-11)

* **Added** a test zone in the Exclusions profile section.
* **Fixed** a bug with exclusion patterns.
* **Fixed** an issue occuring when reading some kinds of WMA files.

=== 4.2.4 (2006-02-16)

* **Fixed** MPL occasional issues when saving.
* **Fixed** m4p (protected AAC files) bitrate reading.

=== 4.2.3 (2005-10-15)

* **Improved** Added the "Add Custom Extension" button in the File Priority section of the profile editor.

=== 4.2.2 (2005-10-07)

* **Improved** Results management by adding the possibility to remove selected (not only checked) duplicates from the list.
* **Fixed** An issue with the "Switch with reference" feature.
* **Fixed** A stability issue with the result pane.

=== 4.2.1 (2005-09-06)

* **Fixed** A little bug with M4A/M4P support.

=== 4.2.0 (2005-08-30)

* **Added** M4A/M4P (iTunes format) support.
* **Added** "Field order doesn't matter" option in Comparison Options.
* **Added** A "Open directory containing this file" option in the result window's context menu.
* **Fixed** Some bugs with the "Load last results" function.

=== 4.1.5 (2005-03-22)

* **Fixed** Nasty bug in the wizard system.
* **Fixed** Yet another nasty bug in the Move/Copy option of the result pane.

=== 4.1.4 (2004-11-10)

* **Added** "Load last results" function.
* **Added** Customizable columns in the results window.
* **Fixed** A bug related to special characters in the XML profiles.
* **Fixed** The result window scroll didn't move properly on "Switch with ref.".
* **Fixed** A bug with the WMA plugin.

=== 4.1.3 (2004-10-30)

* **Added** Profile summary in the main window.
* **Added** An (Artist + title) ID3 tag comparison type.
* **Improved** The profile system by making it XML based.

=== 4.1.2 (2004-09-28)

* **Improved** Changed the ID3 tag comparison from (Artist + Title) to (Artist + Title + Album).

=== 4.1.1 (2004-09-22)

* **Fixed** A couple of bugs.

=== 4.1.0 (2004-08-28)

* **Added** A "special selection" wizard in the results window.
* **Improved** Changed the File content comparison system.
* **Fixed** A sorting bug in the directory tree displays

=== 4.0.6 (2004-08-10)

* **Improved** Redesigned the configuration wizard (again!).

=== 4.0.5 (2004-07-23)

* **Improved** Redesigned the profile directory frame.
* **Fixed** A quite big bug with file priority system.
* **Fixed** A bug with offline registration.

=== 4.0.4 (2004-07-15)

* **Fixed** A couple of minor bugs with profile directories/priorities.
* **Improved** Reduced, thus clarified, most of the text in the profile wizard.

=== 4.0.3 (2004-07-12)

* **Fixed** An issue with "Similar word threshold" setting, and boosted it's performance.
* **Fixed** Some issues with the registering system.

=== 4.0.2 (2004-07-10)

* **Fixed** A couple of obscure bugs.
* **Improved** Changed a couple of minor things in this help file.

=== 4.0.1 (2004-07-07)

* **Fixed** A couple of issues with the configuration wizard.
* **Fixed** A bug with the View Details button when not using WinXP.

=== 4.0.0 (2004-07-05)

Mp3 Filter has been rebuilt from scratch for this version. It features a completely new interface, a profile system and a redesigned configuration wizard.

=== 3.20 (2002-12-31)

I never made a history entry for this version, although it has been the version that went without changes for the most time (1 year and a half). I also lost track of when I made it, but a quick fix (3.20.0.5) has been made on 2002/12/31.

=== 3.16 (2002-08-14)

Enhanced the Mp3 List system with locking and improved searching.

=== 3.15 (2002-08-13)

Added Wizard, tips and installation program.

=== 3.14 (2002-08-12)

Added funny animation plugin and Windows Explorer shell extension.

=== 3.12 (2002-08-11)

Minor bugfixes + changed the Edit tag interface.

=== 3.11 (2002-08-10)

Added Import list feature + first 5kb of the files comparison.

=== 3.10 (2002-07-26)

Added extension plugins.

=== 3.01 (2002-01-30)

Fixed the ID3 Tag editor a bit. Changed the way comparison works: it now can use ID3 Tags.

=== 3.00 (2002-01-29)

The interface simply has been C-O-M-P-L-E-T-E-L-Y redesigned. Customization level is at it's maximum, too cool.

=== 2.21 (2002-01-28)

Added some speed ONCE AGAIN, improved the memory management and added a "favourite directories" feature. I also removed some confusing options. The final result is quite cute!

=== 2.20 (2002-01-27)

Interface has been COMPLETELY rebuilt. Now there are MUCH more place for everything! Several minor bugs has also been fixed Added mass ID3 tag editing.

=== 2.10 (2001-12-02)

Shareware again. Fixed some major bugs. Rebuilt (again) the mp3 list system, it's now much more flexible. Added a configuration wizard. Added a renaming preview. Well, it's a good update after all eh!

=== 2.01 (2001-12-01)

Added multi-language support. Added a "Send to recycle bin" option. Enhanced rename feature. Corrected some bugs with rename function. Enhanced list search function.

=== 2.00 (2001-11-30)

As 11 Sept 2001 entered in the History, the release date of this program will too! Ok, here is the list of Mp3 Filter version 2.00 godly features:

* **SPEED!!!!!!!!!!!!** Forget about what I said before. Previous versions were TURTLES compared to that one. (Imagine what other programs are eh! :P). What took 1 minute take 3-5 seconds now, and the more files you have to compare together, the better will be the files/time ratio will be!
* Multi-list system. It is now easier than ever to exchange lists with your friends and select songs!
* Cuter interface.

=== 1.61 (2001-06-29)

There was some stability issues with the internal player I was using. Mp3 Filter is now using Winamp. Thus, all files playable by Winamp are now playable by Mp3 Filter. Fixed some minor bugs. Changed the way word exclusion system work. AND added a song selection system. Now you can select songs from your mp3 list and copy them to your hard drive without having to worry about where are these songs.

=== 1.60 (2001-06-28)

The main theme of this update is efficiency. Mp3 Filter v1.53 was already pure speed, you will NOT believe this version''s one. 60% faster on ALL comparisons! Do not search for God anymore, you found Him and He even got an e-mail address: cathedly@hotmail.com :P. Ok, to tell you the truth I did not make Mp3 Filter 60 % faster, I made it 60% less slow. My previous algorithm wasn't bad, but I thought about another one (this one) that has much better performances. ALSO: Created an option form. Changed the results display (Added some info along with the results (size,length,bitrate). Added a word excluding system. Also added a backup system (Instead of deleting it, you can now move your file to the Mp3 Filter backup directory (Mp3 filter does not compare files in the backup directory).

=== 1.53 (2001-06-27)

Damnit, big update. Added the conditional file searching, file copying, and rethought the Mp3List system. That new Mp3List system is damn cool! It load instantly, even with HUGE lists, and it reduces the comparing time with list by 30 godly % !!! You're not gonna believe it! This program is now PURE SPEED!

=== 1.52 (2001-05-05)

Quite cool update too. This version now can check if new versions are available. I also grouped all options in the same menu. I moved the search function. This function is now a lot cooler. Instead of giving you a list of matching results, it shows you, in the Mp3 List Stats form, where the song is by positioning itself in the List Tree.

=== 1.51 (2001-05-04)

Waa! I'm so happy! I implemented a poll system to Mp3 Filter! Now you can answer my questions directly on the program! I can't wait to see if you, people, will answer!

=== 1.50 (2001-05-03)

MAJOR UPDATE. This one is quite cool :). You ever used the "Edit Mp3 List" feature? I improved it a lot. Now, when you add a CD to your list, it not only saves the CD name, but it also saves the whole CD directory system. So when you use 'Edit Mp3 List' now, you can browse your CDs as if you would browse anything. (There's only one problem: you must REbuild your mp3 list to make it fit with v1.5)

=== 1.46 (2001-05-02)

Added an equalizer. This equalizer has been a good reason to add an INI file to the program to store changed parameters.

=== 1.45 (2001-05-01)

Added a Banlist to the program. You write down a list of unwanted songs in your ban list and start a scan. This function will not compare as the rest does. If ALL words contained in a banlist line are in a filename, it will match.

=== 1.44 (2001-04-30)

I made the Mp3 Filter window to minimize when it compares so it can do it faster (a LOT faster). I also modified the program so it checks the playlist integrity each time there's a file deleted after a comparison). There was a bug with the v1.43. When you had the ID3 Tag window up and you closed the program, it would crash. Fixed that.

=== 1.43 (2001-04-29)

I noticed some days ago that people who had a good resolution but the option to enlarge the icons on, Mp3 Filter had some big problems to display its main form right. Since you cant resize the form without having the objects in to resize too, I had to fix it. I also implemented a MUCH faster file searching system. It takes less than 2 seconds to find all mp3 on my hard disk now.

=== 1.42 (2001-04-09)

Added some fun and useful feats. First, I made a cute playlist right-clickmenu with Play File, Edit Tag, Locate, Remove from list and delete from disk.I also added a recursive function to add songs to the playlist (Why didn't I thinkabout it before?? I have no clue...). I also made the Shuffle thing less.... random. (It builds a random list and play it, so before a song play again, all songs will be played (I added that feat some time after v1.41 release, but I didn't thought that it worth a version change, so I only announce it on 1.42))

=== 1.41 (2001-04-08)

I can't avoid it. there is always some bugs after a major update. I didn't thought about the fact that it was possible to make a playlist with unplayable files :) fixed that.

=== 1.40 (2001-04-07)

MAJOR UPDATE! You wanted a playlist. You got it in this version. Those big buttons were ugly? Made a cute standard menu. You didn't seem to want to buy that program. I gave up. Here is it. Freeware again.

=== 1.36 (2001-03-16)

Made it possible to play files that are listed after a "Find all Mp3 on this drive". It also tells what song is currently playing on the main title bar.

=== 1.35 (2001-03-15)

Added a system icon. Wow! it almost looks like winamp!

=== 1.34 (2001-03-14)

Added music progress bar and made the music playing continuous.

=== 1.33 (2001-03-13)

Added mass renaming functions.

=== 1.32 (2001-03-12)

Fixed some bugs with those useful function :) (and made the program shareware)

=== 1.31 (2001-03-11)

Added some useful functions.

=== 1.30 (2001-03-10)

MAJOR CHANGE. yeah! I scrapped those radio buttons, and extended the "recurse" function. Now, you only have 2 choices. Or you compare with your list, or you compare within the folder (and sub-folders). With that system, you can tell the program to just compare ALL mp3 in your hard drive. You just have to select your drive root, and press "Find dupe files in this folder" having "Recurse" checked.

=== 1.23 (2001-03-09)

Added the Music Control panel. I just love it. do you?

=== 1.22 (2001-03-08)

Fixed some inaccuracy with folder to folder comparison. (Will I be done fixing someday??) and made mp3 search slightly faster.

=== 1.21 (2001-03-07)

Added Mp3 Player (Didn't know it was so easy to include in a program! I woulda done this before if I knew...) and ID3 Tag Editor. Hum, The Mp3 Player has some problems reading some mp3s... know that.

=== 1.20 (2001-03-04)

When I removed the "find mp3 in my list" thing, some people told me it was useful. However, I still think that the old way to search mp3 was too messed up, so I just added a little textbox and a search button for quick search.

=== 1.18 (2001-03-03)

Damnit! why didn't I see it? There was a bug with displaying the right filename on the result boxes with List comparing. The results were switched! Thus, deleting was impossible after a List compare. Corrected it in 1.18.

=== 1.19 (2001-03-03)

When I read Yippee review (www.yippee.net thanks for review), I tried to somewhat improve it. What changed? This:

* Compare engine is less strict. if one word contains the other, it now match (now, "Limp Bizkit" and "Limp Bizkitt" would match)
* Removed some useless features to simplify the interface. "Save as..." (why did I put this on???) and "Find file in my list" (Easier to find a song with "Edit List")
* Added some hints to buttons and some explicative labels.
*  "List Stats" changed to "Edit List" so you don't have to "hard change" your mp3 list.

=== 1.17 (2001-02-06)

I never thought that a software history would be useful for such a small program, but since Mp3 filter won't stop improving, I decided to start it. So 1.17 is the base version.
